%define module  pam
%define name    python-%{module}
%define version 0.5.0
%define release %mkrel 7

Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Summary:        Python bindings for PAM
License:        GPL
Group:          Development/Python
URL:            http://www.pangalactic.org/PyPAM
Source:         PyPAM-%{version}.tar.bz2
BuildRequires:  pam-devel
BuildRequires:  python-devel
Patch0:         PyPAM-0.5.0-libdl-fix.patch
Patch1:         PyPAM-0.5.0-fix-headers-and-missing-def.patch
Patch2:         PyPAM-0.5.0-dealloc.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}

%description
This release supports the core PAM API. There is still some missing
functionality, but it should implement enough of the API for most
needs. There is not much in the way of documentation at this point. If
you are familiar with the PAM API, a quick glance at the sample program
should get you going.

%prep
%setup -q -n PyPAM-%{version}

%patch0 -p1
%patch1 -p0
%patch2 -p1
rm examples/pamexample

%build
export CFLAGS="$RPM_OPT_FLAGS" 
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS NEWS README ChangeLog COPYING examples
%{_libdir}/python%{pyver}/site-packages/*





%changelog

* Fri Feb 22 2013 kharec <kharec> 0.5.0-7.mga3
+ Revision: 399826
- Oops, bump rel
- add a patch wrongly removed

* Fri Feb 22 2013 kharec <kharec> 0.5.0-6.mga3
+ Revision: 399818
- add two patches to fix build

  + dmorgan <dmorgan>
    - Add fedora patch to fix dealloc
    - imported package python-pam

